/*
 *
 * Реакции
 *
 */


ЗагрузитьРесурсыПодпола = мир =>
{
    const изображения = {
        "лестница": "ресурсы/вещи/лестница.png",
    };
    for (var имя in изображения)
    {
        мир.сцена.load.image(имя, изображения[имя]);
    }
};


// // // //


ЗадатьСтруктуруПодпола = мир =>
{
    мир.подпол = {
        пол: {
            родитель: мир.каркас,
            тип: "платформа",
            x: 0,
            y: 985,
            texture: "основа",
            originX: 0,
            originY: 0,
            scaleX: 250,
            visible: true,
        },

        леваяСтена: {
            родитель: мир.каркас,
            тип: "платформа",
            x: 0,
            y: 600,
            texture: "основа",
            originX: 0,
            originY: 0,
            scaleY: 50,
            visible: false,
        },
        праваяСтена: {
            родитель: мир.каркас,
            тип: "платформа",
            x: 2000,
            y: 600,
            texture: "основа",
            originX: 0,
            originY: 0,
            scaleY: 50,
            visible: false,
        },
    };
};


// // // //


СоздатьПодпол = мир =>
{
    создатьУзлыСценыПоСтруктуре(мир.подпол);
};


/*
 *
 * Последовательность
 *
 */


мир.разобрать(`
загрузить ресурсы сцены
    загрузить ресурсы подпола
создать сцену
    задать структуру подпола
    создать подпол
`);

